Ticket #11605: pari-2.4.3.alpha.p5-p7.diff

File pari-2.4.3.alpha.p5-p7.diff, 2.5 KB (added by leif, 9 years ago)

Diff between the p5 and the p7. For reference / review.

  • new file .hgtags

    diff --git a/.hgtags b/.hgtags
    new file mode 100644
    - +  
     126c5d37c38e66a7482edead52c12be64df467bce pari-2.4.3.alpha.p5
     2401890d1ad4dbaba69b837c431181046e8aca0a8 pari-2.4.3.alpha.p6
     35b16b49559d5aee36d6250eaa1fe4f72388c2172 pari-2.4.3.alpha.p7
  • SPKG.txt

    diff --git a/SPKG.txt b/SPKG.txt
    a b  
    3434 * MPIR (in place of GMP)
    3535 * Readline
    3636 * Termcap
     37 * GNU patch (shipped with Sage)
    3738
    3839== Special Update/Build Instructions ==
    3940
     
    7980
    8081== Changelog ==
    8182
    82 === pari-2.4.3.alpha.p5 (Jeroen Demeyer, January 23th, 2010) ===
     83=== pari-2.4.3.alpha.p7 (Leif Leonhardy, July 16th, 2011) ===
     84 * #11605: Fix typo in spkg-install and add `exit 1` (again) in case
     85   the build fails.
     86 * Quote some more variables and filenames in messages.
     87
     88=== pari-2.4.3.alpha.p6 (Dima Pasechnik, 22 April, 2011) ===
     89 * made a proper check for libpari.dll on Cygwin, as described in
     90   trac #10240
     91
     92=== pari-2.4.3.alpha.p5 (Jeroen Demeyer, January 23th, 2011) ===
    8393 * Avoid parallel "make install" because of race conditions.
    8494 * Remove Makefile_mv.patch because it doesn't actually fix the race
    8595   conditions in "make install".
    8696
    87 === pari-2.4.3.alpha.p4 (Jeroen Demeyer, January 11th, 2010) ===
     97=== pari-2.4.3.alpha.p4 (Jeroen Demeyer, January 11th, 2011) ===
    8898 * Ticket #10430 (fixing also #9620, #10279, #10369, #10559)
    8999 * Use `patch` to apply patches (at -p0 level because this is how svn
    90100   gives the diffs).
  • spkg-install

    diff --git a/spkg-install b/spkg-install
    a b  
    1717#######################################################################
    1818cd src
    1919for patch in ../patches/*.patch; do
    20     patch -p0 <$patch
     20    patch -p0 <"$patch"
    2121    if [ $? -ne 0 ]; then
    22         echo >&2 "Error applying $patch"
     22        echo >&2 "Error applying '$patch'"
    2323        exit 1
    2424    fi
    2525done
     
    182182    fi
    183183
    184184    $MAKE $PARI_MAKEFLAGS gp
    185     if [ $? -ne 0]; then
    186         echo >&2 "Error: building PARI/GP failed."
     185    if [ $? -ne 0 ]; then
     186        echo >&2 "Error: Building PARI/GP failed."
     187        exit 1
    187188    fi
    188189}
    189190
     
    256257
    257258if [ "$UNAME" = "Darwin" ]; then
    258259    pari_shlib="libpari.dylib"
     260elif [ "$UNAME" = "CYGWIN" ]; then
     261    pari_shlib="libpari.dll"
    259262else
    260263    pari_shlib="libpari.so"
    261264fi
    262265if [ ! -f "$SAGE_LOCAL/lib/$pari_shlib" ]; then
    263     echo "Error: PARI's shared library $pari_shlib has not been installed!"
     266    echo "Error: PARI's shared library '$pari_shlib' has not been installed!"
    264267    exit 1
    265268fi